Summary: Graphical interface to FM radio cards
Name: gradio
Version: 1.0.1
Release: 2.sl5
Group: Applications/Multimedia
License: GPL
URL: http://www.example.net/gradio/
Source: %{name}-%{version}.tar.gz
Source1: gradio.xpm
Source2: gradio.desktop
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 1.2

%description
GRadio is a (very) graphical interface to several fairly common types
of FM radio tuner cards for PCs running Linux. It is written in C with
GTK+ and supports the 2.1/2.2 series kernel driver (v4l). The old-style
direct port access is no longer supported. It features consistent
volume and frequency tracking, 8-station memory, type-to-set
frequency, fine-tuning, mute, and a large, colorful LCD-ish
display. It is designed to be easy to use and pleasing to look at.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/man/man1
make INSTALLROOT=$RPM_BUILD_ROOT%{_prefix} install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp gradio.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes README
%exclude /usr/man/man1/gradio.1.gz
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/gradio.xpm
%{_datadir}/applications/gradio.desktop

%changelog
* Sat Feb 17 2007 <roma@lcg.ufrj.br> 1.0.1-2
- Rebuilt for Fedora 6.

* Tue Mar 16 2006 <roma@lcg.ufrj.br> 1.0.1-1
- Rebuilt for Fedora 4.

* Tue Sep 25 2001 <leon@asplinux.ru> 1.0.1-1
- initial ASPLinux rpm
- created desktop entry and icon

